Bug 1127998 - [origin_broker_256] Missing "update" and "description" options on man page of "oo-admin-ctl-region"
Summary: [origin_broker_256] Missing "update" and "description" options on man page of...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Derek Carr
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 05:28 UTC by Qixuan Wang
Modified: 2015-05-15 00:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qixuan Wang 2014-08-08 05:28:01 UTC
Description of problem:
Missing "update" and "description" options on man page of "oo-admin-ctl-region". Help info is correct.

Version-Release number of selected component (if applicable):
devenv_5052

How reproducible:
Always

Steps to Reproduce:
1. Check man page of "oo-admin-ctl-region"
# oo-broker man oo-admin-ctl-region

Actual results:
oo-admin-ctl-region(8)                                  oo-admin-ctl-region(8)

NAME
       oo-admin-ctl-region

SYNOPSIS
       oo-admin-ctl-region [-h|--help] [-c|--command cmd]
       [-r|--region region_name] [-z|--zone zone_name]
       [-b|--bypass]

DESCRIPTION
       This is an utility for all region/zone operations on OpenShift Origin.

OPTIONS
       -h|--help
              Display a simple help dialog.

       -c|--command cmd
              Available commands: create, destroy, add-zone, remove-zone, list

       -r|--region region_name
              Name of the region. (alphanumeric, underscore, hyphen, dot)

       -z|--zone zone_name
              Zone  within  the  region. (alphanumeric, underscore, hyphen, dot) Only valid for add-zone and remove-
              zone commands

       -b|--bypass
              Ignore all warnings.

EXAMPLE
       $ oo-admin-ctl-region

SEE ALSO
       oo-admin-ctl-district(8), oo-setup-broker(8),  oo-admin-move(8),  oo-admin-chk(8),  oo-accept-broker(8),  oo-
       admin-ctl-app(8), oo-admin-ctl-domain(8), oo-setup-bind(8), oo-admin-ctl-user(8), oo-register-dns(8)



Expected results:
SYNOPSIS
       oo-admin-ctl-region [-h|--help] [-c|--command cmd]
       [-r|--region region_name] [-d|--description region_description] [-z|--zone zone_name]
       [-b|--bypass]

OPTIONS
       -h|--help
              Display a simple help dialog.

       -c|--command cmd
              Available commands: create, update, destroy, add-zone, remove-zone, list

       -r|--region region_name
              Name of the region. (alphanumeric, underscore, hyphen, dot)
    
       -d|--description region_description
              Region description to apply on create or update
              Only valid on create (optional) and update (required) commands

       -z|--zone zone_name
              Zone  within  the  region. (alphanumeric, underscore, hyphen, dot) Only valid for add-zone and remove-
              zone commands

       -b|--bypass
              Ignore all warnings.

Additional info:

Comment 1 Derek Carr 2014-08-08 15:09:33 UTC
Fixed in PR
https://github.com/openshift/origin-server/pull/5702

Comment 2 Qixuan Wang 2014-08-12 02:15:46 UTC
Verified on devenv_5064, it's fixed, thanks.

oo-admin-ctl-region(8)                                  oo-admin-ctl-region(8)

NAME
       oo-admin-ctl-region

SYNOPSIS
       oo-admin-ctl-region [-h|--help] [-c|--command cmd]
       [-r|--region region_name] [-z|--zone zone_name]
       [-b|--bypass] [-d|--description region_description]

DESCRIPTION
       This is an utility for all region/zone operations on OpenShift Origin.

OPTIONS
       -h|--help
              Display a simple help dialog.

       -c|--command cmd
              Available commands: create, update, destroy, add-zone, remove-zone, list

       -r|--region region_name Name of the region. (alphanumeric, underscore, hyphen, dot)

       -d|--description region_description Region description to apply on create or update.  Optional on create com-
       mand and required on update command

       -z|--zone zone_name Zone within the region. (alphanumeric, underscore, hyphen, dot) Only valid  for  add-zone
       and remove-zone commands

       -b|--bypass
              Ignore all warnings.

EXAMPLE
       $ oo-admin-ctl-region -c create -r us-east

SEE ALSO
       oo-admin-ctl-district(8),  oo-admin-move(8),  oo-admin-chk(8),  oo-accept-broker(8), oo-admin-ctl-app(8), oo-
       admin-ctl-domain(8), oo-admin-ctl-user(8), oo-register-dns(8)

AUTHOR
       Ravi Sankar Penta <rpenta@redhat.com> - man page written for OpenShift Origin

                                08 August 2014          oo-admin-ctl-region(8)


Note You need to log in before you can comment on or make changes to this bug.